CVE-2003-1396

Current Description

Heap-based buffer overflow in Opera 6.05 through 7.10 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a filename with a long extension.

Basic Data

PublishedDecember 31, 2003
Last ModifiedJuly 29, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeCWE-119
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:M/Au:N/C:N/I:N/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityMEDIUM
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactNONE
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score4.3
SeverityMEDIUM
Exploitability Score8.6
Impact Score2.9
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

Vulnerable Software List

Juniper Netscreen Screenos1.64, 1.66, 1.66_r2, 1.7, 1.73_r1, 1.73_r2, 2.0.1_r8, 2.1, 2.10_r3, 2.10_r4, 2.1_r6, 2.1_r7, 2.5, 2.5r1, 2.5r2, 2.5r6, 2.6.0, 2.6.1, 2.6.1r1, 2.6.1r10, 2.6.1r11, 2.6.1r12, 2.6.1r2, 2.6.1r3, 2.6.1r4, 2.6.1r5, 2.6.1r6, 2.6.1r7, 2.6.1r8, 2.6.1r9, 2.7.1, 2.7.1r1, 2.7.1r2, 2.7.1r3, 2.8, 2.8_r1, 3.0.0, 3.0.0r1, 3.0.0r2, 3.0.0r3, 3.0.0r4, 3.0.1, 3.0.1r1, 3.0.1r2, 3.0.1r3, 3.0.1r4, 3.0.1r5, 3.0.1r6, 3.0.1r7, 3.0.2, 3.0.3, 3.0.3_r1.1, 3.0.3r1, 3.0.3r2, 3.0.3r3, 3.0.3r4, 3.0.3r5, 3.0.3r6, 3.0.3r7, 3.0.3r8, 3.1.0, 3.1.0r1, 3.1.0r10, 3.1.0r11, 3.1.0r12, 3.1.0r2, 3.1.0r3, 3.1.0r4, 3.1.0r5, 3.1.0r6, 3.1.0r7, 3.1.0r8, 3.1.0r9, 3.1.1_r2, 4.0.0, 4.0.0r1, 4.0.0r10, 4.0.0r11, 4.0.0r12, 4.0.0r2, 4.0.0r3, 4.0.0r4, 4.0.0r5, 4.0.0r6, 4.0.0r7, 4.0.0r8, 4.0.0r9, 4.0.1, 4.0.1r1, 4.0.1r10, 4.0.1r2, 4.0.1r3, 4.0.1r4, 4.0.1r5, 4.0.1r6, 4.0.1r7, 4.0.1r8, 4.0.1r9, 4.0.2, 4.0.3, 4.0.3r1, 4.0.3r2, 4.0.3r3, 4.0.3r4, 5.0.0
  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationOpera SoftwareOpera Web Browser6.0*win32*****
    2.3ApplicationOpera SoftwareOpera Web Browser6.0.1*win32*****
    2.3ApplicationOpera SoftwareOpera Web Browser6.0.2*win32*****
    2.3ApplicationOpera SoftwareOpera Web Browser6.0.3*win32*****
    2.3ApplicationOpera SoftwareOpera Web Browser6.0.4*win32*****
    2.3ApplicationOpera SoftwareOpera Web Browser6.0.5*win32*****
    2.3ApplicationOpera SoftwareOpera Web Browser7.0*win32*****
    2.3ApplicationOpera SoftwareOpera Web Browser7.0.1*win32*****
    2.3ApplicationOpera SoftwareOpera Web Browser7.0.2*win32*****
    2.3ApplicationOpera SoftwareOpera Web Browser7.0.3*win32*****
    2.3ApplicationOpera SoftwareOpera Web Browser7.10*******

Vulnerable Software List

VendorProductVersions
Opera Software Opera Web Browser 6.0, 6.0.1, 6.0.2, 6.0.3, 6.0.4, 6.0.5, 7.0, 7.0.1, 7.0.2, 7.0.3, 7.10

References

NameSourceURLTags
20030427 [Opera 7/6] Long File Extension Heap Buffer Overrun Vulnerability in Download.http://archives.neohapsis.com/archives/bugtraq/2003-04/0346.htmlBUGTRAQExploit
7450http://www.securityfocus.com/bid/7450BIDPatch
opera-file-extension-bo(11894)https://exchange.xforce.ibmcloud.com/vulnerabilities/11894XF